Bug 1389325 - Classpath missing apache-commons-io package
Summary: Classpath missing apache-commons-io package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: accumulo
Version: 23
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Christopher Tubbs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-27 12:58 UTC by Mike Miller
Modified: 2016-11-16 16:36 UTC (History)
3 users (show)

Fixed In Version: accumulo-1.6.6-6.fc25 accumulo-1.6.6-8.fc24 accumulo-1.6.6-8.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-14 21:01:31 UTC


Attachments (Terms of Use)
Fix classpath to inclue apache-commons-io (1.41 KB, patch)
2016-10-27 13:00 UTC, Mike Miller
no flags Details | Diff

Description Mike Miller 2016-10-27 12:58:05 UTC
Description of problem:
Installation of the Fedora 23 packages for Accumulo will work but the services will fail to startup. The following exception is thrown at runtime:
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: Exception in thread "Thread-0" java.lang.NoClassDefFoundError: org/apache/commons/io/FileUtils
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: at org.apache.accumulo.start.classloader.vfs.AccumuloVFSClassLoader.close(AccumuloVFSClassLoader.java:405)
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: at org.apache.accumulo.start.classloader.vfs.AccumuloVFSClassLoader$AccumuloVFSClassLoaderShutdownThread.run(AccumuloVFSClassLoader.java:73)
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: at java.lang.Thread.run(Thread.java:745)
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: Caused by: java.lang.ClassNotFoundException: org.apache.commons.io.FileUtils
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:331)
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
Oct 27 12:44:52 ip-172-31-54-188.ec2.internal accumulo-master[896]: ... 3 more

Version-Release number of selected component (if applicable):
1.6.6-5

How reproducible:
Always

Steps to Reproduce:
1. dnf install "accumulo*"
2. systemctl start accumulo-master
3. journalctl -xe -u accumulo-master

Actual results:
java.lang.ClassNotFoundException: org.apache.commons.io.FileUtils

Expected results:
Service running properly 

Additional info:
The missing class is in apache-commons-io package

Comment 1 Mike Miller 2016-10-27 13:00:04 UTC
Created attachment 1214588 [details]
Fix classpath to inclue apache-commons-io

Comment 2 Fedora Update System 2016-10-30 19:24:03 UTC
accumulo-1.6.6-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-edc5bd0a1b

Comment 3 Fedora Update System 2016-10-30 20:21:40 UTC
accumulo-1.6.6-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4046ffab78

Comment 4 Fedora Update System 2016-10-31 10:22:05 UTC
accumulo-1.6.6-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5df1ef31d1

Comment 5 Fedora Update System 2016-11-03 17:03:27 UTC
accumulo-1.6.6-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f5bda92b8

Comment 6 Fedora Update System 2016-11-03 17:03:35 UTC
accumulo-1.6.6-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e57e315c85

Comment 7 Fedora Update System 2016-11-03 18:23:19 UTC
accumulo-1.6.6-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-11-05 03:34:18 UTC
accumulo-1.6.6-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7f5bda92b8

Comment 9 Fedora Update System 2016-11-05 03:39:02 UTC
accumulo-1.6.6-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e57e315c85

Comment 10 Fedora Update System 2016-11-05 16:19:18 UTC
accumulo-1.6.6-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8a5068cb7

Comment 11 Fedora Update System 2016-11-05 16:19:24 UTC
accumulo-1.6.6-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-53aa8b4242

Comment 12 Fedora Update System 2016-11-06 01:53:45 UTC
accumulo-1.6.6-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-53aa8b4242

Comment 13 Fedora Update System 2016-11-06 01:54:03 UTC
accumulo-1.6.6-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f8a5068cb7

Comment 14 Fedora Update System 2016-11-14 21:01:31 UTC
accumulo-1.6.6-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-11-14 23:51:59 UTC
accumulo-1.6.6-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.